Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trace
Class TraceEventMulticaster

    java.lang.Object
      net.sf.saxon.trace.TraceEventMulticaster

All Implemented Interfaces:
  EventListener, TraceListener

    public class TraceEventMulticaster

extends Object
implements TraceListener

A class which implements efficient and thread-safe multi-cast event dispatching for the TraceListener evants. Grabbed from java.awt.AWTEventMulticaster

Method Summary
`static TraceListener` | `add(TraceListener a, TraceListener b)` Adds trace-listener-a with trace-listener-b and returns the resulting multicast listener.
`void` | `close()` Called at end
`void` | `endCurrentItem(Item item)` Called when an item ceases to be the current item
`void` | `enter(InstructionInfo element, XPathContext context)` Called when an element of the stylesheet gets processed
`void` | `leave(InstructionInfo element)` Called after an element of the stylesheet got processed
`void` | `open()` Called at start
`static TraceListener` | `remove(TraceListener l, TraceListener oldl)` Removes the old trace-listener from trace-listener-l and returns the resulting multicast listener.
`void` | `startCurrentItem(Item item)` Called when an item becomes current

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### open

    public void open()

  Called at start

  Specified by:
    `open` in interface `TraceListener`

### close

    public void close()

  Called at end

  Specified by:
    `close` in interface `TraceListener`

### enter

    public void enter(InstructionInfo element,
                      XPathContext context)

  Called when an element of the stylesheet gets processed

  Specified by:
    `enter` in interface `TraceListener`
  Parameters:
    `element` - gives information about the instruction being executed, and about the context in which it is executed. This object is mutable, so if information from the InstructionInfo is to be retained, it must be copied.

### leave

    public void leave(InstructionInfo element)

  Called after an element of the stylesheet got processed

  Specified by:
    `leave` in interface `TraceListener`
  Parameters:
    `element` - gives the same information that was supplied to the enter method, though it is not necessarily the same object. Note that the line number of the instruction is that of the start tag in the source stylesheet, not the line number of the end tag.

### startCurrentItem

    public void startCurrentItem(Item item)

  Called when an item becomes current

  Specified by:
    `startCurrentItem` in interface `TraceListener`
  Parameters:
    `item` - the new current item. Item objects are not mutable; it is safe to retain a reference to the Item for later use.

### endCurrentItem

    public void endCurrentItem(Item item)

  Called when an item ceases to be the current item

  Specified by:
    `endCurrentItem` in interface `TraceListener`
  Parameters:
    `item` - the item that was current, whose processing is now complete. This will represent the same underlying item as the corresponding startCurrentItem() call, though it will not necessarily be the same actual object.

### add

    public static TraceListener add(TraceListener a,
                                    TraceListener b)

  Adds trace-listener-a with trace-listener-b and returns the resulting multicast listener.

  Parameters:
    `a` - trace-listener-a
    `b` - trace-listener-b

### remove

    public static TraceListener remove(TraceListener l,
                                       TraceListener oldl)

  Removes the old trace-listener from trace-listener-l and returns the resulting multicast listener.

  Parameters:
    `l` - trace-listener-l
    `oldl` - the trace-listener being removed

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.